version: "1.0"
linter: ghcr.io/shyim/qodana-php:8.1
bootstrap: |+
    composer update
    ./bin/console --version
    rm -rf vendor-bin
    npm install --prefix src/Administration/Resources/app/administration
    npm install --prefix src/Storefront/Resources/app/storefront
include:
    - name: CheckDependencyLicenses
    - name: MkdirRaceConditionInspection
    - name: TraitsPropertiesConflictsInspection
    - name: ClassMockingCorrectnessInspection
    - name: CallableMethodValidityInspection
    - name: SuspiciousLoopInspection
    - name: MagicMethodsValidityInspection
    - name: SwitchContinuationInLoopInspection
    - name: SuspiciousSemicolonInspection
    - name: AutoloadingIssuesInspection
    - name: MissingArrayInitializationInspection
    - name: ClassConstantUsageCorrectnessInspection
    - name: PrintfScanfArgumentsInspection
    - name: DateIntervalSpecificationInspection
    - name: MissingIssetImplementationInspection
    - name: RealpathInStreamContextInspection
    - name: InfinityLoopInspection
    - name: SuspiciousFunctionCallsInspection
    - name: SubStrShortHandUsageInspection
    - name: SubStrUsedAsArrayAccessInspection
    - name: ArrayPushMissUseInspection
    - name: AlterInForeachInspection
    - name: CaseInsensitiveStringFunctionsMissUseInspection
    - name: AmbiguousMethodsCallsInArrayMappingInspection
    - name: NotOptimalRegularExpressionsInspection
    - name: InArrayMissUseInspection
    - name: StrtotimeUsageInspection
    - name: SlowArrayOperationsInLoopInspection
    - name: UnqualifiedReferenceInspection
    - name: VariableFunctionsUsageInspection
    - name: FixedTimeStartWithInspection
    - name: PackedHashtableOptimizationInspection
    - name: StrStrUsedAsStrPosInspection
    - name: CascadeStringReplacementInspection
    - name: PhpTaintFunctionInspection
    - name: PhpVulnerablePathsInspection
    - name: ProjectDirParameter
    - name: UseControllerShortcuts
    - name: TwigWithExtendsWithRootHtml
    - name: AutowireWrongClass
    - name: ConstructorCommandHeavyConstructor
    - name: ConstructorTwigExtensionHeavyConstructor
    - name: FormTypeBuilderInstance
    - name: ConstructorNoRequestStack
    - name: ConstructorNoSession
    - name: PhpUnitAssertTrueWithIncompatibleTypeArgumentInspection
    - name: PhpUnitAssertCanBeReplacedWithEmptyInspection
    - name: PhpUnitAssertEqualsCanBeReplacedWithAssertTrueOrFalseInspection
    - name: PhpUnitAssertCanBeReplacedWithFailInspection
    - name: PhpUnitCoversFunctionWithoutScopeResolutionOperatorInspection
    - name: PhpUnitAssertContainsInspection
    - name: PhpUnitAssertEqualsInspection
    - name: PhpUnitAssertFileEqualsInspection
    - name: PhpUnitCoversByAccessModifierIsDeprecatedInspection
    - name: PhpUnitExpectedExceptionDocTagIsDeprecatedInspection
    - name: PhpUnitDeprecatedExpectExceptionInspection
    - name: PhpMockeryInvalidMockingMethodInspection
    - name: PhpUnitAssertArrayHasKeyInspection
    - name: PhpUnitDeprecatedCallsIn10VersionInspection
    - name: PhpUnitMisorderedAssertEqualsArgumentsInspection
    - name: PhpUnitMissingTargetForTestInspection
    - name: PhpUnitUndefinedDataProviderInspection
    - name: PhpUnitAssertCountInspection
    - name: PhpUnitInvalidMockingEntityInspection
    - name: PhpToStringMayProduceExceptionInspection
    - name: PhpArrayPushWithOneElementInspection
    - name: PhpArraySearchInBooleanContextInspection
    - name: PhpContinueTargetingSwitchInspection
    - name: PhpFuncGetArgCanBeReplacedWithParamInspection
    - name: PhpIfCanBeMergedWithSequentialConditionInspection
    - name: PhpInArrayCanBeReplacedWithComparisonInspection
    - name: PhpMatchExpressionWithOnlyDefaultArmInspection
    - name: PhpPregMatchWithoutEffectiveRegexpInspection
    - name: PhpPregMatchReplaceWithComparisonInspection
    - name: PhpPregReplaceWithEmptyReplacementInspection
    - name: PhpPregSplitWithoutRegExpInspection
    - name: PhpSwitchStatementWitSingleBranchInspection
    - name: PhpAccessingStaticMembersOnTraitInspection
    - name: PhpInvalidInstanceofInspection
    - name: PhpArrayAccessCanBeReplacedWithForeachValueInspection
    - name: PhpArrayIndexResetIsUnnecessaryInspection
    - name: PhpArrayIsAlwaysEmptyInspection
    - name: PhpArrayToStringConversionInspection
    - name: PhpArrayUsedOnlyForWriteInspection
    - name: PhpBooleanCanBeSimplifiedInspection
    - name: PhpClassConstantAccessedViaChildClassInspection
    - name: PhpConcatenationWithEmptyStringCanBeInlinedInspection
    - name: PhpConditionCanBeReplacedWithMinMaxCallInspection
    - name: PhpDefineConstantNameStartsWithLeadingSlashInspection
    - name: PhpDuplicateCatchBodyInspection
    - name: PhpDuplicateOperandInComparisonInspection
    - name: PhpExceptionImmediatelyRethrownInspection
    - name: PhpForeachOverSingleElementArrayLiteralInspection
    - name: PhpFormatCallWithSingleArgumentInspection
    - name: PhpIdempotentOperationInspection
    - name: PhpInconsistentReturnPointsInspection
    - name: PhpExpressionWithSameOperandsInspection
    - name: PhpLoopCanBeReplacedWithImplodeInspection
    - name: PhpLoopCanBeReplacedWithStdFunctionCallsInspection
    - name: PhpLoopCanBeReplacedWithStrRepeatInspection
    - name: PhpOverridingMethodVisibilityInspection
    - name: PhpReturnValueOfMethodIsNeverUsedInspection
    - name: PhpModuloByOneInspection
    - name: PhpNestedDirNameCallsCanBeReplacedWithLevelParameterInspection
    - name: PhpNestedMinMaxCallInspection
    - name: PhpSameParameterValueInspection
    - name: PhpMethodParametersCountMismatchInspection
    - name: PhpPointlessBooleanExpressionInConditionInspection
    - name: PhpPrivateFieldCanBeLocalVariableInspection
    - name: PhpPropertyOnlyWrittenInspection
    - name: PhpRedundantArrayCallInForeachIteratedValueInspection
    - name: PhpRedundantDefaultBreakContinueArgumentInspection
    - name: PhpUnnecessaryStaticReferenceInspection
    - name: PhpRedundantAssignmentToPromotedFieldInspection
    - name: PhpUnnecessaryBoolCastInspection
    - name: PhpUnnecessaryStringCastInspection
    - name: PhpPregMatchRedundantClosureInspection
    - name: PhpRedundantMethodOverrideInspection
    - name: PhpRedundantOptionalArgumentInspection
    - name: PhpTernaryExpressionCanBeReplacedWithConditionInspection
    - name: PhpTernaryExpressionCanBeReducedToShortVersionInspection
    - name: PhpTooManyParametersInspection
    - name: PhpUnnecessaryStopStatementInspection
    - name: PhpUnnecessaryLocalVariableInspection
    - name: PhpParameterByRefIsNotUsedAsReferenceInspection
    - name: PhpUnnecessarySemicolonInspection
    - name: PhpUnnecessarySpreadOperatorForFunctionCallArgumentInspection
    - name: PhpUsageOfSilenceOperatorInspection
    - name: PhpUselessTrailingCommaInspection
    - name: PhpArrayAppendUsingCountInspection
    - name: PhpArrayFillCanBeConvertedToLoopInspection
    - name: PhpArrayFilterCanBeConvertedToLoopInspection
    - name: PhpArrayMapCanBeConvertedToLoopInspection
    - name: PhpGetClassCanBeReplacedWithClassNameLiteralInspection
    - name: PhpClosureCanBeConvertedToFirstClassCallableInspection
    - name: PhpIfCanBeReplacedWithMatchExpressionInspection
    - name: PhpIssetCanBeReplacedWithCoalesceInspection
    - name: PhpCatchWithInstanceOfCanBeReplacedWithSpecificCatchesInspection
    - name: PhpIssetCanCheckNestedAccessDirectlyInspection
    - name: PhpMatchCanBeReplacedWithSwitchStatementInspection
    - name: PhpClassCanBeReadonlyInspection
exclude:
    - name: PhpInternalEntityUsedInspection
